Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 19 Feb 2021 03:27:12 +0000 (UTC)

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect This is the second time I'm experiencing this much delay in my click and collect online order. It has been 10 days in the place of 2 or 3 days. I really have an urgency and you're not at all helping. Called the customer care team every day from day 2 or 3 until now. And yet no help. This is very disappointing. Same thing happened last time. I should've learnt better not to order from you again.

The current delay in order for order number 6271704303. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2111137